package com.sxyz.rfid.presenter.model;

import java.io.Serializable;
import java.util.List;

/**
 * 主要功能:
 *
 * @Description:
 * @Project: rfid-app
 * @Package: com.sxyz.rfid.presenter.model
 * @author: chunyuanwu
 * @date: 2026年01月05日 08:41
 * @version: 1.0.0
 */
public class ReviewModel implements Serializable {

    /**
     * total : 1
     * rows : [{"createBy":null,"createTime":"2025-12-29 11:58:25","updateBy":null,"updateTime":"2026-01-04 16:15:57","remark":"从计划【PDJH-20251225001】生成的任务（天）","taskId":2,"planId":2,"taskNo":"PLAN-807049194DA2","taskName":"2025年年度周期盘点\t - ","warehouseId":2,"warehouseName":"冷藏仓库","areaIds":"2","areaName":"","materialIds":null,"locationRange":null,"assigneeId":null,"assistantIds":null,"taskStatus":"3","startTime":"2025-12-30","endTime":null,"totalItems":6,"countedItems":6,"inventoryDevice":null,"materialIdList":[],"areaIdsList":[2]}]
     * code : 200
     * msg : 查询成功
     */

    private int total;
    private int code;
    private String msg;
    private List<RowsBean> rows;

    public int getTotal() {
        return total;
    }

    public void setTotal(int total) {
        this.total = total;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public List<RowsBean> getRows() {
        return rows;
    }

    public void setRows(List<RowsBean> rows) {
        this.rows = rows;
    }

    public static class RowsBean implements Serializable {
        /**
         * createBy : null
         * createTime : 2025-12-29 11:58:25
         * updateBy : null
         * updateTime : 2026-01-04 16:15:57
         * remark : 从计划【PDJH-20251225001】生成的任务（天）
         * taskId : 2
         * planId : 2
         * taskNo : PLAN-807049194DA2
         * taskName : 2025年年度周期盘点-
         * warehouseId : 2
         * warehouseName : 冷藏仓库
         * areaIds : 2
         * areaName :
         * materialIds : null
         * locationRange : null
         * assigneeId : null
         * assistantIds : null
         * taskStatus : 3
         * startTime : 2025-12-30
         * endTime : null
         * totalItems : 6
         * countedItems : 6
         * inventoryDevice : null
         * materialIdList : []
         * areaIdsList : [2]
         */

        private Object createBy;
        private String createTime;
        private Object updateBy;
        private String updateTime;
        private String remark;
        private int taskId;
        private int planId;
        private String taskNo;
        private String taskName;
        private int warehouseId;
        private String warehouseName;
        private String areaIds;
        private String areaName;
        private Object materialIds;
        private Object locationRange;
        private Object assigneeId;
        private Object assistantIds;
        private String taskStatus;
        private String startTime;
        private Object endTime;
        private int totalItems;
        private int countedItems;
        private Object inventoryDevice;
        private List<?> materialIdList;
        private List<Integer> areaIdsList;

        public Object getCreateBy() {
            return createBy;
        }

        public void setCreateBy(Object createBy) {
            this.createBy = createBy;
        }

        public String getCreateTime() {
            return createTime;
        }

        public void setCreateTime(String createTime) {
            this.createTime = createTime;
        }

        public Object getUpdateBy() {
            return updateBy;
        }

        public void setUpdateBy(Object updateBy) {
            this.updateBy = updateBy;
        }

        public String getUpdateTime() {
            return updateTime;
        }

        public void setUpdateTime(String updateTime) {
            this.updateTime = updateTime;
        }

        public String getRemark() {
            return remark;
        }

        public void setRemark(String remark) {
            this.remark = remark;
        }

        public int getTaskId() {
            return taskId;
        }

        public void setTaskId(int taskId) {
            this.taskId = taskId;
        }

        public int getPlanId() {
            return planId;
        }

        public void setPlanId(int planId) {
            this.planId = planId;
        }

        public String getTaskNo() {
            return taskNo;
        }

        public void setTaskNo(String taskNo) {
            this.taskNo = taskNo;
        }

        public String getTaskName() {
            return taskName;
        }

        public void setTaskName(String taskName) {
            this.taskName = taskName;
        }

        public int getWarehouseId() {
            return warehouseId;
        }

        public void setWarehouseId(int warehouseId) {
            this.warehouseId = warehouseId;
        }

        public String getWarehouseName() {
            return warehouseName;
        }

        public void setWarehouseName(String warehouseName) {
            this.warehouseName = warehouseName;
        }

        public String getAreaIds() {
            return areaIds;
        }

        public void setAreaIds(String areaIds) {
            this.areaIds = areaIds;
        }

        public String getAreaName() {
            return areaName;
        }

        public void setAreaName(String areaName) {
            this.areaName = areaName;
        }

        public Object getMaterialIds() {
            return materialIds;
        }

        public void setMaterialIds(Object materialIds) {
            this.materialIds = materialIds;
        }

        public Object getLocationRange() {
            return locationRange;
        }

        public void setLocationRange(Object locationRange) {
            this.locationRange = locationRange;
        }

        public Object getAssigneeId() {
            return assigneeId;
        }

        public void setAssigneeId(Object assigneeId) {
            this.assigneeId = assigneeId;
        }

        public Object getAssistantIds() {
            return assistantIds;
        }

        public void setAssistantIds(Object assistantIds) {
            this.assistantIds = assistantIds;
        }

        public String getTaskStatus() {
            return taskStatus;
        }

        public void setTaskStatus(String taskStatus) {
            this.taskStatus = taskStatus;
        }

        public String getStartTime() {
            return startTime;
        }

        public void setStartTime(String startTime) {
            this.startTime = startTime;
        }

        public Object getEndTime() {
            return endTime;
        }

        public void setEndTime(Object endTime) {
            this.endTime = endTime;
        }

        public int getTotalItems() {
            return totalItems;
        }

        public void setTotalItems(int totalItems) {
            this.totalItems = totalItems;
        }

        public int getCountedItems() {
            return countedItems;
        }

        public void setCountedItems(int countedItems) {
            this.countedItems = countedItems;
        }

        public Object getInventoryDevice() {
            return inventoryDevice;
        }

        public void setInventoryDevice(Object inventoryDevice) {
            this.inventoryDevice = inventoryDevice;
        }

        public List<?> getMaterialIdList() {
            return materialIdList;
        }

        public void setMaterialIdList(List<?> materialIdList) {
            this.materialIdList = materialIdList;
        }

        public List<Integer> getAreaIdsList() {
            return areaIdsList;
        }

        public void setAreaIdsList(List<Integer> areaIdsList) {
            this.areaIdsList = areaIdsList;
        }
    }
}
